#include "system.h"
#include "alarms.h"

void setupRelay(){

    pinMode(RELAY_PIN, INPUT_PULLDOWN);
    digitalWrite(RELAY_PIN, INPUT_PULLDOWN);
    pinMode(LED_PIN, OUTPUT);
}

void loopRelay(){
    bool alarmAux;
    systemStatus sysStatus;
    
    sysStatus.getAlarm();
    
    if((sysStatus.getVoltage() > sysStatus.getVoltageAlarm()) || (sysStatus.getCurrent() > sysStatus.getCurrentAlarm()) || (sysStatus.getPower() > sysStatus.getPowerAlarm()) || alarmAux == true || sysStatus.getOff()==1) {
        digitalWrite(RELAY_PIN, LOW);
        digitalWrite(LED_PIN, LOW);
        alarmAux = true;
        sysStatus.setAlarm(alarmAux);
    } else {
            digitalWrite(RELAY_PIN, HIGH);
            digitalWrite(LED_PIN, HIGH);
    }
}