#include "Event.h"
#include "json.h"
static Event myEvent;
static json jsonVar1;

void setupJSON(){
   
    myEvent.begin();
    delay(100); 

}
void loopJSON(){
    systemStatus sysStatus;
    
    aJsonObject *root = aJson.createObject();
    aJsonObject *d = aJson.createObject();
    aJson.addItemToObject(root, "d", d);
    aJson.addNumberToObject(d, "voltage", sysStatus.getVoltage());
    aJson.addNumberToObject(d, "current", sysStatus.getCurrent());
    aJson.addNumberToObject(d, "power", sysStatus.getPower());
    aJson.addNumberToObject(d, "energy", sysStatus.getEnergy());
    jsonVar1.setPayload((char*) (aJson.print(root)+'\0')); // Convertimos el objeto JSON en un char array

    aJson.deleteItem(d);
    aJson.deleteItem(root);
     
    myEvent.send();
     
    delay(1000);
}

char* json::payload=0;
char* json::getPayload(void)
{
  return this->payload;   
}

void json::setPayload(char *payload)
{
    this->payload = payload;
}


