#ifndef __SENSORS_H__
#define __SENSORS_H__

#define VOLTAGE_PIN            A1
#define CURRENT_PIN            A0

#define SAMPLES              1024

#define CALIBRATION_VOLTAGE  1.44 //Factor de calibración
#define CALIBRATION_CURRENT 25.22 //Factor de calibración (valor que tiene el Pin cuando no hay nada conectado)
#define VOLTAGE_MIN           195
#define CURRENT_MIN          0.05 //Margen de error de calibración

//Parámetros para la función fmap()
#define CURRENT_READ_MIN        0
#define CURRENT_READ_MAX    96.46
#define AMPS_MIN                0
#define AMPS_MAX               20



#endif